Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::FunctionSlot5< R, P1, P2, P3, P4, P5 > Class Template Reference

A slot template for static functions taking five arguments of type P1, P2, P3, P4 and P5, and returning a value of type R. More...

`#include <inti/slot.h>`

Inheritance diagram for Inti::FunctionSlot5< R, P1, P2, P3, P4, P5 >:

List of all members.

## Public Member Functions

- FunctionSlot5 (PF function)
    Construct a new function slot for a static function.
- virtual R call (P1 p1, P2 p2, P3 p3, P4 p4, P5 p5) const
    Calls the function connected to this slot passing it arguments p1, p2, p3, p4 and p5.

## Detailed Description

### template<typename R, typename P1, typename P2, typename P3, typename P4, typename P5>
class Inti::FunctionSlot5< R, P1, P2, P3, P4, P5 >

A slot template for static functions taking five arguments of type P1, P2, P3, P4 and P5, and returning a value of type R.

## Constructor & Destructor Documentation

template<typename R, typename P1, typename P2, typename P3, typename P4, typename P5>
Inti::FunctionSlot5< R, P1, P2, P3, P4, P5 >::FunctionSlot5 | ( | PF | function | ) | `[inline]`

  | Construct a new function slot for a static function. Parameters:
  function | Static function with the signature R (*PF)(P1, P2, P3, P4, P5).

## Member Function Documentation

template<typename R, typename P1, typename P2, typename P3, typename P4, typename P5>
virtual R Inti::FunctionSlot5< R, P1, P2, P3, P4, P5 >::call | ( | P1 | p1,
|  | P2 | p2,
|  | P3 | p3,
|  | P4 | p4,
|  | P5 | p5
| ) | const`[inline, virtual]`

| Calls the function connected to this slot passing it arguments p1, p2, p3, p4 and p5. Returns: A value of type R returned by the called function. Implements Inti::Slot5< R, P1, P2, P3, P4, P5 >.

The documentation for this class was generated from the following file:

- slot.h

Main Page - Footer